[Testing Update i686] 2018-09-25 to 10-07 - systemd, Firefox

update
testing
manjaro32

#1

Main update of note is systemd which enables audit support by default. What does that mean? More audit, obviously.

Apart from updated kernels everything else is mainly rebuilds.


Available kernels

Series Version PAE
linux316 3.16.58 No
linux44 4.4.159 No
linux49 4.9.131 No
linux414 4.14.74 No
linux419 4.19rc7.1007 Yes

Current difference to x32-stable

This thread will track updates to x32-testing as they are snapped over from x32-unstable
This post has a full difference to x32-stable, updates will be posted below as they occur.

Full list is here.


Any problems?

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


Is x32-testing ready to be moved to x32-stable?

This will inform the snap process; there is no set threshold.

Please vote on the “is it ready yet?” poll but only when you feel this set is tested enough, and has a sufficient number of changes compared to x32-stable. Do keep in mind that x32-stable updates should be less frequent than x32-testing so not every testing update set should need to be moved over.

  • No or Not yet
  • Yes, x32-testing should be snapped to x32-stable at this point
  • Other (post)

0 voters


#2

Known issues

Resolved issues


Packages require libaudit.so.1 which is not installed by default.

You may need to chroot, but then pacman -S audit will fix it.

This should be resolved by systemd=239.2-2. Update and set audit back to “installed as a dependency”:

sudo pacman -D --asdeps audit


#3

To-do


#4

Let’s get this party started:

:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                     ca-certificates         20180821-1.1         20180821-1.3
             ca-certificates-mozilla             3.39-1.0             3.39-1.1
               ca-certificates-utils         20180821-1.1         20180821-1.3
                           coreutils             8.30-1.1             8.30-1.2
                            cracklib            2.9.6-1.1            2.9.6-1.2
                                curl           7.61.1-1.0           7.61.1-1.1
                                file             5.34-1.1             5.34-1.2
                               glib2           2.56.2-1.02.58.0+31+g2a7d4d2dc-1.0
                          glib2-docs           2.56.2-1.02.58.0+31+g2a7d4d2dc-1.0
                               groff             1.22.3-7           1.22.3-7.1
                              json-c           0.13.1-2.1           0.13.1-2.2
                          libarchive            3.3.3-1.0            3.3.3-1.1
                           libassuan            2.5.1-1.0            2.5.1-1.1
                              libcap             2.25-1.1             2.25-1.2
                              libffi            3.2.1-2.1            3.2.1-2.4
                           libgcrypt            1.8.3-1.0            1.8.3-1.1
                        libgpg-error             1.32-1.0             1.32-1.1
                             libidn2            2.0.5-1.0            2.0.5-1.1
                             libksba              1.3.5-1            1.3.5-1.1
                              libmnl              1.0.4-1            1.0.4-1.1
                            libnftnl            1.1.1-1.0            1.1.1-1.1
                          libseccomp            2.3.3-1.1            2.3.3-1.2
                          libsystemd            239.0-2.0            239.2-1.0
                              netctl             1.18-1.1             1.18-1.2
                                npth              1.6-1.0              1.6-1.1
                                 nss             3.39-1.0             3.39-1.1
                          openresolv            3.9.0-1.1            3.9.0-1.3
                         pcmciautils              018-8.1              018-8.2
                            pinentry            1.1.0-4.0            1.1.0-4.1
                              s-nail          14.9.11-1.0          14.9.11-1.1
                             systemd            239.0-2.0            239.2-1.0
                  systemd-resolvconf            239.0-2.0            239.2-1.0
                  systemd-sysvcompat            239.0-2.0            239.2-1.0


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                       manjaro-hello             0.5.11-3                0.6-1
                               pamac           7.1.0rc5-1              7.1.0-2
             pamac-tray-appindicator           7.1.0rc5-1              7.1.0-2
                         thunar-gtk3              1.8.1-2             1.8.1-16
                  xfce4-session-gtk3             4.13.1-1             4.13.1-3
                 xfce4-settings-gtk3             4.13.4-1             4.13.4-5


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                  adwaita-icon-theme           3.28.0-1.0           3.30.0-1.0
                               cmake           3.12.1-1.0           3.12.2-1.0
                          convertlit              1.8-8.0              1.8-8.1
                             ethtool           1:4.18-1.0           1:4.18-1.1
                             flatpak            1.0.1-1.0            1.0.1-1.1
                                 gdm           3.28.4-1.03.30.0+4+g839c9501-1.0
               gtk-update-icon-cache3.24.0+33+g8fd2d461fc-1.03.24.0+33+g8fd2d461fc-1.1
                                gtk33.24.0+33+g8fd2d461fc-1.03.24.0+33+g8fd2d461fc-1.1
                              libgdm           3.28.4-1.03.30.0+4+g839c9501-1.0
                            libpulse             12.2-2.0             12.2-2.1
                             librsvg         2:2.44.2-1.0         2:2.44.2-1.1
                              libxft            2.3.2-2.0            2.3.2-2.1
                    libxnvctrl-340xx          340.104-1.0          340.107-1.0
                              libxss            1.2.3-1.0            1.2.3-1.1
               nvidia-340xx-settings          340.104-1.0          340.107-1.0
                          ocamlbuild           0.12.0-3.0           0.12.0-3.1
                      perl-dbd-mysql            4.046-2.1            4.048-1.0
                          perl-error          0.17026-2.1          0.17026-2.3
                          pulseaudio             12.2-2.0             12.2-2.1
                pulseaudio-bluetooth             12.2-2.0             12.2-2.1
                pulseaudio-equalizer             12.2-2.0             12.2-2.1
                     pulseaudio-jack             12.2-2.0             12.2-2.1
                     pulseaudio-lirc             12.2-2.0             12.2-2.1
                 pulseaudio-zeroconf             12.2-2.0             12.2-2.1
                             python2           2.7.15-2.2           2.7.15-2.3
                            qt5-base           5.11.1-3.0           5.11.1-3.1
                qt5-graphicaleffects           5.11.1-1.0           5.11.1-1.1
                   qt5-quickcontrols           5.11.1-1.0           5.11.1-1.1
                             qt5-svg           5.11.1-1.0           5.11.1-1.1
                      qt5-websockets           5.11.1-1.0           5.11.1-1.1
             qt5-xcb-private-headers           5.11.1-3.0           5.11.1-3.1
                             rrdtool            1.7.0-5.0            1.7.0-5.1
                                 tcl            8.6.8-3.0            8.6.8-3.1
                                  tk            8.6.8-3.0            8.6.8-3.1
                         xorg-server           1.20.1-1.0           1.20.1-1.1
                  xorg-server-common           1.20.1-1.0           1.20.1-1.1
                   xorg-server-devel           1.20.1-1.0           1.20.1-1.1
                    xorg-server-xdmx           1.20.1-1.0           1.20.1-1.1
                  xorg-server-xephyr           1.20.1-1.0           1.20.1-1.1
                   xorg-server-xnest           1.20.1-1.0           1.20.1-1.1
                    xorg-server-xvfb           1.20.1-1.0           1.20.1-1.1
                xorg-server-xwayland           1.20.1-1.0           1.20.1-1.1
                      xdg-dbus-proxy                    -            0.1.0-1.0


:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                                 yay             8.1115-2             8.1139-2


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                                 bat            0.6.1-1.0            0.7.0-2.0
                              chrony              3.3-1.0              3.3-1.1
                              cmocka              1.1.1-1            1.1.1-1.1
                           dateutils            0.4.4-1.0            0.4.4-1.1
                     deepin-metacity          3.22.21-1.0          3.22.22-1.0
                               dingo             0.13-4.0             0.13-4.2
                                 dmd        1:2.082.0-1.0        1:2.082.0-1.1
                            dmd-docs        1:2.082.0-1.0        1:2.082.0-1.1
                      dnscrypt-proxy           2.0.16-1.0           2.0.16-1.1
                           docbook2x             0.8.8-15           0.8.8-15.1
                              docker        1:18.06.1-1.0        1:18.06.1-1.1
                      docker-machine           0.15.0-1.0           0.15.0-1.1
                         dolphin-emu1:5.0.r7309.10d230a512-5.01:5.0.r7309.10d230a512-5.1
                              dsniff           2.4b1-27.0           2.4b1-27.1
                           dtkwidget          2.0.9.4-1.0          2.0.9.4-1.1
                                dune            1.1.1-1.0            1.1.1-1.1
                            etherape           0.9.18-1.0           0.9.18-1.1
                                fasm          1.73.04-1.0          1.73.04-1.1
                           filezilla           3.36.0-1.0           3.37.0-1.0
                        gimp-refocus              0.9.0-4            0.9.0-5.0
                            gir-to-d           0.16.0-1.0           0.16.1-1.0
                                  go         2:1.10.3-1.1           2:1.11-1.0
                              go-pie         2:1.10.3-1.1           2:1.11-1.0
                            homebank            5.1.8-1.0              5.2-1.0
                               isync              1.3.0-1            1.3.0-2.0
                                kcov               35-1.0               36-1.0
                              kcptun         20180810-1.0         20180917-1.0
                             keybase            2.5.0-1.0            2.6.0-1.0
                         keybase-gui            2.5.0-1.0            2.6.0-1.0
                          latte-dock            0.8.0-1.0            0.8.1-1.0
                        libfilezilla           0.13.0-1.0           0.13.1-1.0
                           libhubbub              0.3.4-1            0.3.5-1.0
                        libmediainfo          18.08.1-1.0          18.08.1-1.1
                      libparserutils              0.2.3-2            0.2.4-1.0
                           libphobos        1:2.082.0-1.0        1:2.082.0-1.1
                             libvirt            4.6.0-3.1            4.6.0-3.2
                             mbedtls           2.12.0-1.0           2.12.0-1.1
                           msgpack-c            3.0.1-1.0            3.1.1-1.0
                             netsurf              3.7-3.0              3.8-2.0
                              nodejs          10.10.0-1.0          10.10.0-1.1
                                 ntl           11.3.0-2.0           11.3.0-3.0
                         opencolorio            1.1.0-2.0            1.1.0-3.0
           pycharm-community-edition         2018.2.2-1.0         2018.2.3-1.0
                     python-selenium           3.14.0-1.0           3.14.0-2.0
                 python2-pygame-sdl21:2.1.0.r349.d2ed33b-1.01:2.1.0.r349.d2ed33b-1.1
                    python2-selenium           3.14.0-1.0           3.14.0-2.0
                                sfml            2.5.0-2.0            2.5.0-2.2
                         springlobby            0.264-2.0            0.267-1.0
                             wesnoth           1.14.4-1.0           1.14.5-1.0
                        wine-staging             3.15-1.0             3.16-1.0
                        haskell-half                    -              0.3-1.0

#5

After update no issues except that computer icon to the left of speaker icon in the Notification Panel now has an X.Notification


#6

I don’t know what indicator that is, but I’ve had an “X” in my battery indicator on my x86_64 Ryzen 1700 system all through 4.18…


Kernel 4.19 update. I’ve re-merged the config from x86_64 so…

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                          grub-quiet             2.02.0-3             2.03.0-9
                            linux4194.19rc4.0916.g7876320-14.19rc5.0923.g6bf4ca7-1
                    linux419-headers4.19rc4.0916.g7876320-14.19rc5.0923.g6bf4ca7-1


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                  linux419-acpi_call           1.1.0-0.18           1.1.0-0.19
                   linux419-bbswitch             0.8-0.18             0.8-0.19
                linux419-broadcom-wl    6.30.223.271-0.18    6.30.223.271-0.19
                linux419-ndiswrapper            1.61-0.18            1.61-0.19
               linux419-nvidia-340xx         340.107-0.18         340.107-0.19
               linux419-nvidia-390xx          390.87-0.18          390.87-0.19
                   linux419-nvidiabl            0.88-0.18            0.88-0.19
                      linux419-r8168        8.045.08-0.18        8.045.08-0.19
                        linux419-spl          0.7.10-0.18          0.7.10-0.19
                   linux419-tp_smapi            0.41-0.18            0.41-0.19
                linux419-vhba-module        20161009-0.18        20161009-0.19
   linux419-virtualbox-guest-modules          5.2.18-0.18          5.2.18-0.19
    linux419-virtualbox-host-modules          5.2.18-0.18          5.2.18-0.19
                        linux419-zfs          0.7.10-0.18          0.7.10-0.19

#7

You are right on both counts.

I checked the Dell Latitude D620 and there the icon represents a Battery indicator and on the Dell Latitude D820, it represents a brightness indicator. So, what icons show up are laptop specific.

The battery on this laptop is dead so the X is a reasonable indicator.

It was much ado about nothing on my side still I learned something. Thanks :smiley:


#8

At long last, an update to GRUB:

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                                grub             2.02.0-3           2.03.0-7.1

thanks to this patch:

http://git.savannah.gnu.org/cgit/grub.git/patch/?id=c79ebcd18cf3e208e9dda5e2ae008f76c92fe451


#9

Update was uneventful. 4.19-rc5 booted fine, no hiccups with grub. Great job.


#10

Happy to hear that 4.19-rc5 booted without any hassle for you. I second your view that the team has been doing a great job.

In my case I installed 4.19-rc5 and rebooted and was surprised that I reached
the desktop without a hitch because it had caused a Kernel panic last week. So, wondering if this was truly a miracle I checked to see which Kernel the system had
booted into and found it was 4.14. I rebooted and checked the Grub and found Kernel 4.19-rc5 was not listed at all in advanced options. When I reached the
desktop I reinstalled Grub and the new Grub update. But this time I confirmed that 4.19-rc5 was reflected in boot options. However, when I booted into it I reached that point where it said:
“Starting version 239” after which it rebooted and went on doing the same thing
in a continuous loop. I then powered down and tried the fallback version and
this time the Kernel tried to do something but after 40 minutes I gave up. Picture enclosed of what the system was trying to do. Boot

It is very possible that the errors I encountered are due to the above. It is
also possible that my Dell Latitude D630 is a lone straggler that is affected.
If the above two are possibilities we can let the matter drop but if it appears
that getting to the bottom of these errors will help iron out glitches, I am
game to go ahead and do what is necessary if I get instructions and guidance on
what to do.
Incidentally, after updates and a diagnostic check the icon is back.
Notification
Thank you for reading.


#11

I’ve had the same grub trouble after installing new kernels. I always do a sudo update-grub after installing a new kernel. (Kernel updates do not require a manual update-grub.)

Have you been able to boot any version of 4.19? I was never able to boot 4.19-rc1 in Manjaro or Mint, but have had no trouble since rc2.

rc kernels are not expected to work right on all platforms right away. But 4.19 has improvements specific to my device that 4.14 doesn’t. Otherwise I’d stay with 4.14 which will be supported until 2020.


#12

This is a best practice I will now adopt. Thanks

No. Neither 4.19-rc1 or rc2

Thanks once again for the clarification. I am totally fine with 4.14. However, I did inform Jonathan that I would keep trying and report back. Since, the kernel may take time to mature for all. I will now only report back when it works for me. Thank you.


#13

Kernel updates:

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                          grub-quiet             2.03.0-9            2.03.0-12
                            linux316            3.16.57-0         3.16.58-0.01
                    linux316-headers            3.16.57-0         3.16.58-0.01
                            linux414            4.14.71-1            4.14.72-1
                    linux414-headers            4.14.71-1            4.14.72-1
                             linux44            4.4.157-1            4.4.158-1
                     linux44-headers            4.4.157-1            4.4.158-1
                             linux49            4.9.128-1            4.9.129-1
                     linux49-headers            4.9.128-1            4.9.129-1


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                  linux316-acpi_call           1.1.0-44.0           1.1.0-44.1
                linux316-broadcom-wl    6.30.223.271-23.0    6.30.223.271-23.1
                linux316-ndiswrapper            1.61-23.0            1.61-23.1
               linux316-nvidia-340xx          340.107-2.0          340.107-2.1
               linux316-nvidia-390xx             390.87-1           390.87-1.1
                      linux316-r8168         8.045.08-9.0         8.045.08-9.1
                  linux316-rt3562sta      2.4.1.1_r4-23.0      2.4.1.1_r4-23.1
                        linux316-spl             0.7.10-1           0.7.10-1.1
                linux316-vhba-module        20161009-23.0        20161009-23.1
   linux316-virtualbox-guest-modules           5.2.18-1.0           5.2.18-1.1
    linux316-virtualbox-host-modules           5.2.18-1.0           5.2.18-1.1
                        linux316-zfs             0.7.10-1           0.7.10-1.1
                  linux414-acpi_call             1.1.0-59           1.1.0-59.0
                   linux414-bbswitch               0.8-59             0.8-59.0
                linux414-broadcom-wl      6.30.223.271-59    6.30.223.271-59.0
                linux414-ndiswrapper              1.61-59            1.61-59.0
               linux414-nvidia-340xx           340.107-18         340.107-18.0
               linux414-nvidia-390xx             390.87-4           390.87-4.0
                      linux414-r8168          8.045.08-47        8.045.08-47.0
                  linux414-rt3562sta        2.4.1.1_r4-59      2.4.1.1_r4-59.0
                        linux414-spl             0.7.10-2           0.7.10-2.0
                   linux414-tp_smapi              0.41-59            0.41-59.0
                linux414-vhba-module          20161009-59        20161009-59.0
   linux414-virtualbox-guest-modules             5.2.18-7           5.2.18-7.0
    linux414-virtualbox-host-modules             5.2.18-7           5.2.18-7.0
                        linux414-zfs             0.7.10-2           0.7.10-2.0
                   linux44-acpi_call            1.1.0-110          1.1.0-110.0
                 linux44-broadcom-wl      6.30.223.271-80    6.30.223.271-80.0
                    linux44-catalyst    1:15.201.1151-110  1:15.201.1151-110.0
                 linux44-ndiswrapper              1.61-78            1.61-78.0
                linux44-nvidia-340xx           340.107-15         340.107-15.0
                linux44-nvidia-390xx             390.87-4           390.87-4.0
                       linux44-r8168          8.045.08-32        8.045.08-32.0
                   linux44-rt3562sta        2.4.1.1_r4-78      2.4.1.1_r4-78.0
                         linux44-spl             0.7.10-2           0.7.10-2.0
                 linux44-vhba-module          20161009-78        20161009-78.0
    linux44-virtualbox-guest-modules             5.2.18-7           5.2.18-7.0
     linux44-virtualbox-host-modules             5.2.18-7           5.2.18-7.0
                         linux44-zfs             0.7.10-2           0.7.10-2.0
                   linux49-acpi_call             1.1.0-96           1.1.0-96.0
                    linux49-bbswitch               0.8-96             0.8-96.0
                 linux49-broadcom-wl      6.30.223.271-96    6.30.223.271-96.0
                    linux49-catalyst     1:15.201.1151-96   1:15.201.1151-96.0
                 linux49-ndiswrapper              1.61-94            1.61-94.0
                linux49-nvidia-340xx           340.107-15         340.107-15.0
                linux49-nvidia-390xx             390.87-4           390.87-4.0
                       linux49-r8168          8.045.08-36        8.045.08-36.0
                   linux49-rt3562sta        2.4.1.1_r4-94      2.4.1.1_r4-94.0
                         linux49-spl             0.7.10-2           0.7.10-2.0
                    linux49-tp_smapi              0.41-96            0.41-96.0
                 linux49-vhba-module          20161009-94        20161009-94.0
    linux49-virtualbox-guest-modules             5.2.18-7           5.2.18-7.0
     linux49-virtualbox-host-modules             5.2.18-7           5.2.18-7.0
                         linux49-zfs             0.7.10-2           0.7.10-2.0


:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
      deepin-desktop-schemas-manjaro           3.2.18.2-1           3.2.18.4-1
            manjaro-awesome-settings           20180610-1           20180927-1
            manjaro-gnome-assets-dev           20180819-1           20180927-1
manjaro-gnome-extension-settings-17.0           20180426-1           20180927-1
         manjaro-gnome-settings-17.0           20180426-1           20180927-1

#14

Can’t startup with latest unstable update, kernel panic:
libaudit.so.1: cannot open shared object file: no such file or directory

What’s the chroot procedure AGAIN???


#15

…back on testing…that’s as deep as I go anymore!


#16

Part of the audit package which isn’t currently installed. Probably an unmet dependency that’s not being installed with the unstable update???


#17

I just did an update and I can’t boot either… libaudit.so.1 is not found and isn’t in the pacman cache. pacman -S libaudit.so.1 --> target not found. Downgrade audit fails due to missing libaudit.so.1.


#18

Another sync. There are a number of package rebuilds in there.

:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                              argon2         20171227-3.1         20171227-3.2
                     ca-certificates         20180821-1.3         20180821-1.4
               ca-certificates-utils         20180821-1.3         20180821-1.4
                                  db           5.3.28-4.1           5.3.28-4.2
                           diffutils              3.6-1.1              3.6-1.2
                          dosfstools              4.1-1.1              4.1-1.2
                           e2fsprogs           1.44.4-1.1           1.44.4-1.2
                                  ed           1.14.2-1.1           1.14.2-1.2
                            elfutils            0.171-1.0            0.171-1.3
                            fakeroot             1.23-1.3             1.23-1.4
                                flex            2.6.4-1.1            2.6.4-1.2
                                gawk            4.2.1-1.1            4.2.1-1.2
                                gdbm             1.17-1.3             1.18-1.0
                             gettext         0.19.8.1-2.1         0.19.8.1-2.2
                               glib22.58.0+31+g2a7d4d2dc-1.02.58.0+31+g2a7d4d2dc-1.1
                          glib2-docs2.58.0+31+g2a7d4d2dc-1.02.58.0+31+g2a7d4d2dc-1.1
                                 gmp            6.1.2-1.1            6.1.2-1.2
                                 gpm             1.20.7-8           1.20.7-8.2
                           inetutils              1.9.4-5            1.9.4-5.2
                            iproute2           4.18.0-1.1           4.18.0-1.2
                             iputils 20180629.f6aac8d-2.1 20180629.f6aac8d-2.2
                              json-c           0.13.1-2.2           0.13.1-2.3
                                kmod               25-1.0               25-1.1
                                less              530-1.1              530-1.2
                          libarchive            3.3.3-1.1            3.3.3-1.2
                              libcap             2.25-1.2             2.25-1.3
                              libelf            0.171-1.0            0.171-1.3
                             libidn2            2.0.5-1.1            2.0.5-1.2
                         libpipeline            1.5.0-1.1            1.5.0-1.2
                             libsasl          2.1.26-13.0          2.1.26-13.2
                             libtool2.4.6+42+gb88cebd5-1.02.4.6+42+gb88cebd5-2.0
                              libusb           1.0.22-1.1           1.0.22-1.2
                               links             2.16-1.0             2.17-1.0
                           linux-atm            2.5.2-5.0            2.5.2-5.2
                           logrotate           3.14.0-1.1           3.14.0-1.2
                              man-db            2.8.4-1.1            2.8.4-1.2
                               mdadm              4.0-1.2              4.0-1.3
                             minizip         1:1.2.11-3.1         1:1.2.11-3.2
                                mpfr            4.0.1-1.0            4.0.1-1.1
                                nano            2.9.8-1.0              3.1-1.0
                             ncurses              6.1-3.0              6.1-3.2
                              netctl             1.18-1.2             1.18-1.3
                          openresolv            3.9.0-1.3            3.9.0-1.4
                                 pam            1.3.1-1.0            1.3.1-1.1
                            pciutils            3.6.1-1.2            3.6.1-1.3
                                pcre             8.42-1.0             8.42-1.2
                                popt             1.16-9.1             1.16-9.2
                              psmisc             23.1-1.1             23.1-1.2
                              s-nail          14.9.11-1.1          14.9.11-1.2
                                 sed              4.5-1.0              4.5-1.3
                          sysfsutils           2.1.0-10.1           2.1.0-10.2
                                 tar             1.30-1.2             1.30-1.3
             thin-provisioning-tools            0.7.6-1.1            0.7.6-1.2
                            usbutils              010-1.1              010-1.2
                                  vi         1:070224-3.1         1:070224-3.2
                               which             2.21-2.2             2.21-2.3
                                zlib         1:1.2.11-3.1         1:1.2.11-3.2


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                         flashplugin      31.0.0.108-0.01                    -
                        pepper-flash      31.0.0.108-0.01                    -


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                             dotconf              1.3-5.1              1.3-5.2
                                 efl           1.21.0-1.0           1.21.1-1.0
                            efl-docs           1.21.0-1.0           1.21.1-1.0
                                 ell              0.5-1.1              0.5-1.2
                       enlightenment           0.22.3-1.0           0.22.4-1.0
                            enscript            1.6.6-2.1            1.6.6-2.2
                             ethtool           1:4.18-1.1           1:4.18-1.2
                              ffcall               1.13-2             1.13-2.1
                              figlet            2.2.5-3.1            2.2.5-3.2
                         flashplugin       30.0.0.154-1.0       31.0.0.108-1.0
                     flatpak-builder            1.0.0-1.0            1.0.0-1.1
                               fping              4.0-1.1              4.0-1.2
                             freetds          1.00.96-1.0          1.00.96-1.1
                                 gdb              8.2-2.0              8.2-2.2
                          gdb-common              8.2-2.0              8.2-2.2
                                 gdm3.30.0+4+g839c9501-1.03.30.0+6+g5db19c5b-1.0
                                 git           2.18.0-1.0           2.19.0-1.0
                            guile2.0             2.0.14-1           2.0.14-1.2
                           intel-tbb    2018_20180618-1.0             2019-1.0
                             libcdio            2.0.0-1.0            2.0.0-1.1
                              libgdm3.30.0+4+g839c9501-1.03.30.0+6+g5db19c5b-1.0
                             libgpod              0.8.3-5            0.8.3-5.1
                    libmariadbclient          10.1.35-1.0          10.1.36-1.0
                               libsm            1.2.2-3.0            1.2.2-3.1
                                 lyx            2.3.0-1.0            2.3.1-1.0
                             mariadb          10.1.35-1.0          10.1.36-1.0
                     mariadb-clients          10.1.35-1.0          10.1.36-1.0
                               meson           0.47.2-1.0           0.48.0-2.0
                               mytop          10.1.35-1.0          10.1.36-1.0
                             ntfs-3g          2017.3.23-1        2017.3.23-2.0
                        pepper-flash       30.0.0.154-1.0       31.0.0.108-1.0
                          perl-error          0.17026-2.3          0.17026-2.5
                              screen              4.6.2-1            4.6.2-1.2
                                 ant                    -           1.10.5-1.0
                             ant-doc                    -           1.10.5-1.0


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
               android-file-transfer              3.4-1.0              3.5-1.0
                               carla            1.9.9-3.0           1.9.11-1.0
                              ccrypt             1.10-4.1             1.10-4.2
                              chntpw             140201-2           140201-2.1
                              erlang           21.0.5-1.0           21.0.9-1.0
                          erlang-nox           21.0.5-1.0           21.0.9-1.0
                          erlang-sdl              1.3.1-2            1.3.1-2.1
                     erlang-unixodbc           21.0.5-1.0           21.0.9-1.0
                             fractal           3.29.6-1.0           3.30.0-1.0
                               fwupd            1.1.1-1.0            1.1.2-1.0
           haskell-base64-bytestring         1.0.0.1-12.0         1.0.0.1-12.1
               haskell-blaze-builder          0.4.1.0-3.0          0.4.1.0-3.2
          haskell-data-default-class          0.1.2.0-8.0          0.1.2.0-8.1
haskell-data-default-instances-containers           0.0.1-20.0           0.0.1-20.1
haskell-data-default-instances-old-locale           0.0.1-20.0           0.0.1-20.1
       haskell-extensible-exceptions         0.1.1.4-20.0         0.1.1.4-20.1
                    haskell-fclabels          2.0.3.3-4.0          2.0.3.3-4.1
                      haskell-fmlist            0.9.2-3.0            0.9.2-3.1
                    haskell-old-time         1.1.0.3-14.0         1.1.0.3-14.1
                      haskell-random             1.1-12.0             1.1-12.1
                        haskell-safe           0.3.17-2.0           0.3.17-2.1
                   haskell-setlocale          1.0.0.8-1.0          1.0.0.8-1.1
                         haskell-sha          1.6.4.4-3.0          1.6.4.4-3.1
                         haskell-syb              0.7-6.0              0.7-6.1
                 haskell-utf8-string          1.0.1.1-8.0          1.0.1.1-8.1
                      haskell-vector        0.12.0.1-10.0        0.12.0.1-10.1
            haskell-wl-pprint-extras         3.5.0.5-67.0         3.5.0.5-68.0
          haskell-wl-pprint-terminfo         3.7.1.4-67.0         3.7.1.4-68.0
                 haskell-zip-archive            0.3.3-5.0            0.3.3-6.0
                            hasktags          0.70.1-11.0          0.70.1-12.0
                              libasr              1.0.2-2            1.0.2-2.1
                            liboping           1.10.0-5.0           1.10.0-5.1
                           log4cplus            2.0.1-1.0            2.0.2-1.0
                           mosquitto            1.5.1-1.0            1.5.1-1.1
                            openipmi           2.0.25-3.0           2.0.25-3.1
                     vim-bufexplorer           7.4.19-1.0           7.4.19-1.1
                           vim-ctrlp               1.80-1             1.80-1.1
                      vim-vcscommand            1.99.47-2          1.99.47-2.1
                        deepin-movie                    -         1:3.2.10-1.0
                          fanficfare                    -            3.0.0-1.0
      lightdm-webkit-theme-archlinux                    -            0.5.0-1.0
       lightdm-webkit-theme-litarvan                    -            2.0.7-2.0
                         python-chai                    -            1.1.2-1.0
                       python-colour                    -            0.1.5-4.0
                   python-deprecated                    -            1.2.3-1.0
                       python-ifaddr                    -            0.1.4-1.0
       python-openapi-spec-validator                    -            0.2.4-1.0
                       python-prance                    -           0.13.1-2.0
                     python-svgwrite                    -           1.1.12-3.0
                        python2-chai                    -            1.1.2-1.0
                  python2-deprecated                    -            1.2.3-1.0
      python2-openapi-spec-validator                    -            0.2.4-1.0
                      python2-prance                    -           0.13.1-2.0
                          vimix-grub                    -         20180916-1.0

#19

Oh ■■■■. I missed that you were on unstable, and I just snapped the broken packages across to testing.

Oh well. :man_shrugging:


#20

You’re chasing me back to Stable! After that I got nowhere to go!!!